Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.tudelft.simulation.dsol.statistics
Class Counter

    java.lang.Object
      nl.tudelft.simulation.event.EventProducer
          nl.tudelft.simulation.jstats.statistics.StatisticsObject
              nl.tudelft.simulation.jstats.statistics.Counter
                  nl.tudelft.simulation.dsol.statistics.Counter

All Implemented Interfaces:
  java.util.EventListener, nl.tudelft.simulation.event.EventListenerInterface, nl.tudelft.simulation.event.EventProducerInterface, java.io.Serializable, nl.tudelft.simulation.jstats.Swingable

public class Counter
extends nl.tudelft.simulation.jstats.statistics.Counter

The counter extends the counter and links this it to the dsol framework
(c) copyright 2003 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: General Public License (GPL) , no warranty

Version:
  1.0 18.08.2003
Author:
  Peter Jacobs
See Also:
  Serialized Form

Field Summary

Fields inherited from class nl.tudelft.simulation.jstats.statistics.Counter
`count, COUNT_EVENT, description, n, N_EVENT`

Fields inherited from class nl.tudelft.simulation.event.EventProducer
`listeners`

Fields inherited from interface nl.tudelft.simulation.event.EventProducerInterface
`FIRST_POSITION, LAST_POSITION`

Constructor Summary
`Counter(java.lang.String description, SimulatorInterface simulator)` constructs a new Counter
`Counter(java.lang.String description, SimulatorInterface simulator, nl.tudelft.simulation.event.EventProducerInterface target, nl.tudelft.simulation.event.EventType field)` constructs a new Counter

Method Summary
`protected void` | `endOfReplication()` endOfReplication is invoked to store the final results
`void` | `notify(nl.tudelft.simulation.event.EventInterface event)`

Methods inherited from class nl.tudelft.simulation.jstats.statistics.Counter
`getCount, getDescription, getN, getTable, initialize, isInitialized, toString`

Methods inherited from class nl.tudelft.simulation.jstats.statistics.StatisticsObject
`getSwingPanel`

Methods inherited from class nl.tudelft.simulation.event.EventProducer
`addListener, addListener, addListener, addListener, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, getEventTypes, removeAllListeners, removeAllListeners, removeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Counter

    public Counter(java.lang.String description,
                   SimulatorInterface simulator)
            throws java.rmi.RemoteException

  constructs a new Counter

Parameters:
  `description` - refers to the description of this counter
  `simulator` - the simulator
Throws:
  `java.rmi.RemoteException` - on network failure

### Counter

    public Counter(java.lang.String description,
                   SimulatorInterface simulator,
                   nl.tudelft.simulation.event.EventProducerInterface target,
                   nl.tudelft.simulation.event.EventType field)
            throws java.rmi.RemoteException

  constructs a new Counter

Parameters:
  `description` - the description
  `simulator` - the simulator of this model
  `target` - the target on which to count
  `field` - the field which is counted
Throws:
  `java.rmi.RemoteException` - on network failure

Method Detail

### notify

    public void notify(nl.tudelft.simulation.event.EventInterface event)

  See Also:
    `#notify(nl.tudelft.simulation.event.EventInterface)`

### endOfReplication

    protected void endOfReplication()

  endOfReplication is invoked to store the final results

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 Delft University of Technology, the Netherlands. All Rights Reserved.